/*
############################################################
Automatic restart when no gates hit for 60 seconds
############################################################
*/
var autorestart_initial_timeout = 120;
var autorestart_timeout = 60;
var autorestart_countdown = -1;

function autorestart_timing(slot, pos, time) {
	autorestart_timing_prev(slot, pos, time);
	if (autorestart_countdown < autorestart_timeout)
		autorestart_countdown = autorestart_timeout;
}
var autorestart_timing_prev = mxserver.timing_handler;
mxserver.timing_handler = autorestart_timing;

function autorestart_start() {
	var i;

	autorestart_start_prev();

	autorestart_countdown = autorestart_initial_timeout;
}
var autorestart_start_prev = mxserver.start_handler;
mxserver.start_handler = autorestart_start;

function autorestart_server_empty() {
	var status;

	for (i = 0; i < mxserver.max_slots; i++) {
		status = mxserver.get_status(i);
		if (status == "Player" || status == "Spectator") {
			return 0;
		}
	}

	return 1;
}

function autorestart() {
	autorestart_prev();

	if (autorestart_countdown == -1)
		return 1;

	if (autorestart_countdown == 0) {
		autorestart_countdown = -1;
		if (!autorestart_server_empty())
			mxserver.schedule_command("at +0 restart");
		return 1;
	}

	autorestart_countdown--;

	if (autorestart_countdown < 0)
		autorestart_countdown = 0;

	return 1;
}
var autorestart_prev = mxserver.second_handler;
mxserver.second_handler = autorestart;
